## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLQueryArgumentItem

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression

    public interface XMLQueryArgumentItem

extends QueryValueExpression

A representation of the model object 'XML Query Argument Item'. Represents a single XML Query Argument within an XML Query Argument list. The name attribute, if used, indicates that this argument is an XML Query variable. The attached value expression must resolve to an XML datatype. See ISO SQL/XML sec. 6.17.

The following features are supported:

- `Passing Mechanism`
- `Xquery Arg List`
- `Value Expr`

See Also:
  `SQLXMLQueryModelPackage.getXMLQueryArgumentItem()`

Method Summary
`XMLPassingType` `getPassingMechanism()` Returns the value of the 'Passing Mechanism' attribute.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`XMLQueryArgumentList` `getXqueryArgList()` Returns the value of the 'Xquery Arg List' container reference.
`void` `setPassingMechanism(XMLPassingType value)` Sets the value of the '`Passing Mechanism`' attribute.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.
`void` `setXqueryArgList(XMLQueryArgumentList value)` Sets the value of the '`Xquery Arg List`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getPassingMechanism

    XMLPassingType getPassingMechanism()

  Returns the value of the 'Passing Mechanism' attribute. The literals are from the enumeration `XMLPassingType`.

  If the meaning of the 'Passing Mechanism' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `setPassingMechanism(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentItem_PassingMechanism()`

### setPassingMechanism

    void setPassingMechanism(XMLPassingType value)

  Sets the value of the '`Passing Mechanism`' attribute.

  Parameters:
    `value` - the new value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `getPassingMechanism()`

### getXqueryArgList

    XMLQueryArgumentList getXqueryArgList()

  Returns the value of the 'Xquery Arg List' container reference. It is bidirectional and its opposite is '`Xquery Arg List Children`'.

  If the meaning of the 'Xquery Arg List' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Arg List' container reference.
  See Also:
    `setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentItem_XqueryArgList()`, `XMLQueryArgumentList.getXqueryArgListChildren()`

### setXqueryArgList

    void setXqueryArgList(XMLQueryArgumentList value)

  Sets the value of the '`Xquery Arg List`' container reference.

  Parameters:
    `value` - the new value of the 'Xquery Arg List' container reference.
  See Also:
    `getXqueryArgList()`

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentItem_ValueExpr()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`